package versao3.dominio;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;


public final class Pedido {
  private long pedidoId = Constantes.INIT_LONG;
  private Date dataEmissao;
  private Cliente cliente;
  private List /*ItemPedido*/ items = new ArrayList();

  public Pedido() {}

  public Pedido(Date dataEmissao, Cliente cliente) {
    this.dataEmissao = dataEmissao;
    this.cliente = cliente;
  }

  public List getItems() {
    return items;
  }

  public Date getDataEmissao() {
    return dataEmissao;
  }

  public void setPedidoId(long pedidoId) {
    this.pedidoId = pedidoId;
  }

  public void setItems(List items) {
    this.items = items;
  }

  public void setDataEmissao(Date dataEmissao) {
    this.dataEmissao = dataEmissao;
  }

  public long getPedidoId() {
    return pedidoId;
  }

  public Cliente getCliente() {
    return cliente;
  }

  public void setCliente(Cliente cliente) {
    this.cliente = cliente;
  }

  public boolean validate() {
    return cliente != null;
  }

}
